Show (tm) symbol next to license label
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/839

Narrative

As a user (or more likely, trademark owner), I can seea (tm) symbol next to licenses that have trademarks.

Acceptance Criteria

  • Show a (tm) symbol at the end of the license label if required (e.g. for trademarked logos)

Design notes

In the Mockup below the TM symbol is considered as a warning related to the reuse file:

  • The TM symbol appears in a yellow (#ffcc66) background, with the same style as the "view terms" label.

If we don't want to draw too much attention to the TM indicator (legal and the community could clarify how much of a warning for use it is) we can just present it as another label:

Related Bugs

Related Stories

Related Changesets

MingleTerminator raised the priority of this task from to High.
In mingle on 2014-09-19 at 10:30:45, @Pginer-WMF wrote:

Can we have an example of such files (or several if there are different cases)?

I'm taking some logos such as http://commons.wikimedia.org/wiki/File:Logo_NIKE.svg as an example, but it may be worth it to explore some more cases.

Tgr added a project: Easy.Jan 9 2015, 3:14 AM
Tgr added a subscriber: Tgr.
gerritbot added a subscriber: gerritbot.

Change 185119 had a related patch set uploaded (by Unicodesnowman):
Show (tm) symbol if applicable

https://gerrit.wikimedia.org/r/185119

Patch-For-Review

Change 185119 merged by jenkins-bot:
Show (tm) symbol if applicable

https://gerrit.wikimedia.org/r/185119

MC8 closed this task as Resolved.Mar 2 2015, 6:34 PM
MC8 claimed this task.
Tgr reopened this task as Open.Mar 2 2015, 7:16 PM
Tgr removed MC8 as the assignee of this task.
Tgr removed a project: Patch-For-Review.
Tgr set Security to None.

Still needs to be done in CommonsMetadata.

Sn1per claimed this task.May 23 2015, 3:58 PM
Sn1per added a comment.EditedJun 7 2015, 1:26 AM

The restriction-* format doesn't seem to match up very well with the other formats i.e. {fileinfo,license}tpl_*. Maybe a restricttpl_{trademarked,nazi_symbol,insignia,etc.}? e.g. restriction-trademarked => restricttpl_trademarked ?

Change 216604 had a related patch set uploaded (by Sn1per):
Parse restrictions e.g. trademark, insignia, etc.

https://gerrit.wikimedia.org/r/216604

Sn1per added a comment.EditedJun 8 2015, 3:03 AM

Here's an example:

Input

<table class="restriction-trademarked restriction-insignia restriction-hammersickle"></table>
<span class="restriction-trademarked restriction-classifiedbytheamericangovernment"></span>

Output

"trademarked|insignia|hammersickle|classifiedbytheamericangovernment"
Tgr added a comment.Jun 16 2015, 6:50 PM

The restriction-* format doesn't seem to match up very well with the other formats i.e. {fileinfo,license}tpl_*. Maybe a restricttpl_{trademarked,nazi_symbol,insignia,etc.}? e.g. restriction-trademarked => restricttpl_trademarked ?

Fileinfo/license is old and poorly named, I don't think they should be treated as a general conversion. Something less ambiguous would be nicer (e.g. meta-restriction-*); I just went with restriction-* because the trademark template already uses that and the other restriction templates don't use any class.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 16 2015, 6:50 PM

Change 216604 merged by jenkins-bot:
Parse restrictions e.g. trademark, insignia, etc.

https://gerrit.wikimedia.org/r/216604

Tgr closed this task as Resolved.Jun 16 2015, 8:13 PM
Tgr added a subscriber: Unicodesnowman.

This is finished now. Thanks @Unicodesnowman and @Sn1per! I'll leave a comment on Commons to add restriction classes to the other templates in case someone wants to add additional warning icons.

Tgr added a comment.Jun 16 2015, 8:39 PM
In T77717#1371574, @Tgr wrote:

I'll leave a comment on Commons to add restriction classes to the other templates in case someone wants to add additional warning icons.

https://commons.wikimedia.org/wiki/Commons_talk:Machine-readable_data#Non-copyright_restrictions